Page MenuHomePhabricator

Artificial spike in offset of unique devices from November to February 6th on wikidata
Open, NormalPublic

Event Timeline

Nuria created this task.May 17 2017, 8:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2017, 8:57 AM
Nuria renamed this task from Artificial spike in offset of unique devices from November 14th to February 6th to Artificial spike in offset of unique devices from November 14th to February 6th on wikidata.May 17 2017, 9:39 AM
Nuria added a comment.May 17 2017, 9:55 AM

Offset spikes and underestimate decreases in the same amount (so total is same) . Best seen in wikidata mobile: https://goo.gl/o8oAzj

Nuria renamed this task from Artificial spike in offset of unique devices from November 14th to February 6th on wikidata to Artificial spike in offset of unique devices from November to February 6th on wikidata.May 17 2017, 10:18 AM
ema renamed this task from Artificial spike in offset of unique devices from November to February 6th on wikidata to Artificial spike in offset of unique devices from November 14th to February 6th on wikidata.May 17 2017, 10:19 AM
ema added a project: Traffic.
Restricted Application added a project: Operations. · View Herald TranscriptMay 17 2017, 10:19 AM
ema renamed this task from Artificial spike in offset of unique devices from November 14th to February 6th on wikidata to Artificial spike in offset of unique devices from November to February 6th on wikidata.May 17 2017, 10:20 AM
Nuria added a subscriber: ema.EditedMay 17 2017, 10:23 AM

Summing up from IRC's conversation between @Nuria and @ema:

From the 2nd of November we start seeing a shift of the Unique Devices data per domain. The totals of Unique Devices are mostly not affected but the Unique devices computation is made of two parts: 1) (underestimate) users for whom the cookie is set + 2) (offset) users that have no cookies.

From about November 2nd to February 6th (2017) we see that the proportion of devices on the offset is much bigger than it was prior. And, the proportion of users on underestimate is smaller. What this tells us is that cookies seem to be expiring sooner than they should.

This matches up with varnish4 progressive rollout: https://gerrit.wikimedia.org/r/#/q/topic:varnish4-upgrade+(status:open+OR+status:merged)

Nuria added a comment.EditedMay 17 2017, 10:24 AM

This is the offset data for wikidata mobile, which represents devices coming w/o a last access cookie.

Nuria renamed this task from Artificial spike in offset of unique devices from November to February 6th on wikidata to Artificial spike in offset of unique devices from November to February 6th on wikidata.May 17 2017, 10:31 AM
Nuria added a comment.EditedMay 17 2017, 12:21 PM

@ema: has the way we compute nocookies flag on X-Analytics changed? It should take into account "all" cookies not just last access. I think that from the code in github {1] nothing has changed but asking just in case.,

This is probably unrelated but does this way of setting cookies (geoIP) [2] make them visible on the http.cookies object in varnish?

[1] https://github.com/wikimedia/puppet/blob/production/modules/varnish/templates/analytics.inc.vcl.erb#L171

[2]
https://github.com/wikimedia/puppet/blob/production/modules/varnish/templates/geoip.inc.vcl.erb#L179

ema moved this task from Triage to Caching on the Traffic board.May 18 2017, 7:04 AM
Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.May 25 2017, 4:12 PM
Nuria moved this task from In Progress to Paused on the Analytics-Kanban board.Jun 5 2017, 9:17 PM
ArielGlenn triaged this task as Normal priority.Jun 26 2017, 9:18 AM
Nuria edited projects, added Analytics; removed Analytics-Kanban.Jun 26 2017, 3:37 PM
Nuria moved this task from Incoming to Radar on the Analytics board.Jun 26 2017, 3:41 PM
BBlack added a subscriber: BBlack.Oct 23 2017, 3:01 PM

Is this something we still need answers for, or have we just moved past it into a new normal?